Update Order Trackstar Tags
curl --request PUT \
--url https://production.trackstarhq.com/wms/orders/{order_id}/trackstar-tags \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
]
}
'import requests
url = "https://production.trackstarhq.com/wms/orders/{order_id}/trackstar-tags"
payload = { "trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }] }
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}]})
};
fetch('https://production.trackstarhq.com/wms/orders/{order_id}/trackstar-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "order_id",
"warehouse_customer_id": "warehouse_customer_id",
"warehouse_id": "warehouse_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"reference_id": "order_reference_id",
"order_number": "order_number",
"status": "open",
"raw_status": "raw_status",
"channel_object": {
"channel_id": "channel_id",
"channel_name": "channel_name"
},
"type": "d2c",
"trading_partner": "Target",
"service_level": "Standard",
"shipping_method_id": "fedex_ground",
"shipping_method_name": "FedEx Ground",
"carrier_id": "fedex",
"carrier_name": "FedEx",
"scac": "<string>",
"is_third_party_freight": false,
"third_party_freight_account_number": "123456",
"first_party_freight_account_number": "123456",
"invoice_currency_code": "USD",
"total_price": 13.49,
"total_tax": 1.5,
"total_discount": 2.5,
"total_shipping": 3.5,
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"line_items": [
{
"product_id": "product_id",
"sku": "sku",
"quantity": 1,
"unit_price": 10.99,
"discount_amount": 1.5
}
],
"tags": [
"tag_0"
],
"required_ship_date": "2021-01-01T12:00:00Z",
"saturday_delivery": false,
"signature_required": false,
"international_duty_paid_by": "sender",
"shipments": [
{
"shipment_id": "shipment_id",
"warehouse_id": "wh_id",
"shipped_date": "2022-05-06T01:02:03Z",
"raw_status": "raw_status",
"status": "shipped",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"parent_product_id": null
}
],
"ship_to_address": {
"full_name": "John Doe",
"company": "company",
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"ship_from_address": {
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"packages": [
{
"package_id": "package_id",
"package_name": "package_name",
"tracking_number": "tracking_number",
"tracking_url": "tracking_url",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "shipping_method_name",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "scac",
"shipping_cost": 1,
"measurements": {
"length": 1,
"width": 1,
"height": 1,
"unit": "in",
"weight": 1,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"lot_id": "lot_id",
"expiration_date": "2022-06-06T01:02:03Z",
"parent_product_id": null
}
]
}
]
}
],
"external_system_url": "https://example.com/order/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Orders
Update Order Trackstar Tags
Update the trackstar tags for the specified order.
PUT
/
wms
/
orders
/
{order_id}
/
trackstar-tags
Update Order Trackstar Tags
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
- Base Schema
- Active Ants
- A. Duie Pyle (ADP)
- Amphora
- Amplifier
- AMS
- Staci Americas (AMWare)
- Atomix
- Barbaras Development Inc. (BDI)
- Bergen
- Bigblue
- Bleckmann
- BlueBox (IDrive Fulfillment)
- Byrd Fulfillment
- Camelot
- Canary7
- Capacity
- CartonCloud
- Cin7 Omni
- Cirro
- Clarus
- J&J Global Fulfillment (Control Port)
- Crafty
- CWR
- Cybership
- Darwynn Fulfillment
- DaVinci
- DCL
- Cin7 Core (Dear Systems)
- Deposco
- Distribution Alternatives
- Distribution Management
- Dotcom Distribution
- DouYin (Chinese TikTok)
- Elite Ops
- eShipping
- Evolve
- Excelsior
- Extensiv (3PL Central)
- FabFitFun
- Amazon
- FedEx Fulfillment
- FFE
- Finale
- Flat Fee Shipping
- Flexport (Deliverr)
- Florisoft
- Flowspace
- Fulfil
- Fulfillment.com
- The Fulfillment Lab
- Fulfillor
- fulfilmentcrowd
- FullGood Fulfillment
- G Global
- GoBolt
- Greenmark Logistics
- Helm WMS
- Hive
- I-Fulfilment
- iCreate
- ILG
- Infoplus
- Its Here
- JAS
- JayGroup
- Cart.com (Jazz Central)
- Landmark
- Leanafy
- Leanware
- Lineage
- LINNALL
- Linnworks
- Quickbox (LogicPod)
- Logiwa
- Logiwa IO
- Longtail
- Luxroutage LRI
- Mabang
- Mai Fulfillment
- Mainfreight
- MasonHub
- Mayple
- Mintsoft
- Mochila Fulfillment
- Monta
- Next3PL
- NFI
- Nimble
- NLRP
- NRI
- OIA Global
- Ongoing WMS
- OrderFlow
- OrderWise
- OSA Commerce
- PackemWMS
- Packiyo
- Pattern
- Peoplevox
- Picqer
- Pimento
- Pod Foods
- Portless
- PostNord
- Pulpo WMS
- QLS
- Quiet Platforms
- RJW
- Rush Order
- Salesupply
- WMS Sandbox
- ShipBob
- Shipedge
- Shipfusion
- ShipHero
- ShipMonk
- ShipNetwork
- ShipOffers
- ShipOut
- Shipping and Handling
- ShippingTree
- Shippingbo
- ShipStation
- ShipStream
- Shipwire
- Skladon
- Skulabs
- SKUSavvy
- Linnworks Core (SKUVault)
- Smart Warehousing
- SmartPack
- Sojo
- Souko
- Star WMS
- States Logistics
- Stock and Trace
- Stockhub
- Stord
- Teamship
- Teapplix
- TechShip
- TikTok
- TradePeg
- Unis
- Unleashed
- Veeqo
- VeraCore
- Vertical Cold
- Vox
- Walmart
- Warehance
- WarehouseOS
- Whiplash (Ryder)
- Wine Shipping
- XB Fulfillment
- Xorosoft
- Zenventory
- Zoho
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
Example:
["tag1", "tag2", { "tag3": "value3" }]
⌘I